org.vertx.java.deploy.impl

## Class ParentLastURLClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.vertx.java.deploy.impl.ParentLastURLClassLoader

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class ParentLastURLClassLoader
    extends java.net.URLClassLoader

### Constructor Summary

Constructors
Constructor and Description
`ParentLastURLClassLoader(java.net.URL[] classpath, java.lang.ClassLoader parent)`

### Method Summary

Methods
`java.net.URL` `getResource(java.lang.String name)`
`java.io.InputStream` `getResourceAsStream(java.lang.String name)`
`java.util.Enumeration<java.net.URL>` `getResources(java.lang.String name)`
`protected java.lang.Class<?>` `loadClass(java.lang.String name, boolean resolve)`

### Methods inherited from class java.net.URLClassLoader

`addURL, close, definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParentLastURLClassLoader

    public ParentLastURLClassLoader(java.net.URL[] classpath,
                            java.lang.ClassLoader parent)

### Method Detail

#### loadClass

    protected java.lang.Class<?> loadClass(java.lang.String name,
                               boolean resolve)
                                    throws java.lang.ClassNotFoundException

Overrides:
  `loadClass` in class `java.lang.ClassLoader`
Throws:
  `java.lang.ClassNotFoundException`

#### getResource

    public java.net.URL getResource(java.lang.String name)

Overrides:
  `getResource` in class `java.lang.ClassLoader`

#### getResources

    public java.util.Enumeration<java.net.URL> getResources(java.lang.String name)
                                                     throws java.io.IOException

Overrides:
  `getResources` in class `java.lang.ClassLoader`
Throws:
  `java.io.IOException`

#### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

Overrides:
  `getResourceAsStream` in class `java.net.URLClassLoader`